package ss2011.se.dp.filesystem;

import java.io.File;

public class Directory extends AbstractFile
{

    public Directory(AbstractFile parent, File file)
    {
        super(parent, file.getName());
        buildChildren(file);
    }

    @Override
    public long getSize()
    {
        return 0;
    }

    /**
     * rekursiver Abstieg hier und durch Aufruf von new Directory(f) durch createFile()
     *
     * @param file delegate
     */
    public void buildChildren(File file)
    {
        for (File f : file.listFiles())
        {
            addChild(createFile(this, f));
        }
    }

}
