package ss2011.se.dp.filesystem;

public interface Printer
{
    /**
     * Gibt den Verzeichnisbaum aus.
     *
     * @param file Start-Datei
     */
    void printTree(AbstractFile file);

    /**
     * Gibt den Verzeichnisbaum bis zur angegebenen Tiefe aus (aktuelles Verzeichnis = 0)
     *
     * @param file Start-Datei
     * @param maxdepth gewuenschte Tiefe, muss positive Zahl sein.
     */
    void printTree(AbstractFile file, int maxdepth);
}
