package ss2011.se.dp.ha4.a1;

public class Ampel
{

    public static final int ROT = 0;
    public static final int GELB = 1;
    public static final int GRUEN = 2;

    private int farbe;

    public String getFarbeAsString()
    {

        if (farbe == ROT)
        {
            return "ROT";
        }
        else if (farbe == GELB)
        {
            return "GELB";
        }
        else if (farbe == GRUEN)
        {
            return "GRUEN";
        } else
        {
            throw new IllegalStateException("Something went wrong...");
        }
    }

    public void weiterschalten()
    {
        // an efficient method would be:
        //farbe++;
        //farbe %= 3;
        // something similar even works with enums...
        // anyway, the classic way:
        switch (farbe)
        {
            case ROT:
                farbe = 1;
                break;
            case GELB:
                farbe = 2;
                break;
            case GRUEN:
                farbe = 0;
                break;
            default:
                throw new IllegalStateException("Something went wrong... forgot a break?");
        }

    }

    public int getFarbe()
    {
        return farbe;
    }
}
