package ss2011.se.dp.filesystem;

import java.io.File;

public abstract class Archive extends AbstractFile
{

    protected long compressedSize;

    public Archive(AbstractFile parent, File file)
    {
        super(parent, file.getName());
        this.compressedSize = file.length();
    }

    @Override
    public long getSize()
    {
        return compressedSize;
    }
}
