package ss2011.se.dp.filesystem;

public class DepthFirstPrinter implements Printer
{

    public void printTree(AbstractFile current)
    {
        String path = current.getName();
        AbstractFile parent = current.getParent();
        while (parent != null)
        {
            path = parent.getName() + "/" + path;
            parent = parent.getParent();
        }
        System.out.println(path);
        for (AbstractFile file : current.getChildren())
        {
            printTree(file);
        }
    }

    @Override
    public void printTree(AbstractFile file, int maxdepth)
    {
        throw new UnsupportedOperationException();
    }
}
